/**
 * конфиг для разработки
 */

/* global module */
module.exports = {
	// mode: 'development',
	mode: "production",
	entry: {
		app: "./src/assets/js/app.js"
	},
	output: {
		filename: "[name].js"
	},
	devtool: "source-map",
	module: {
		rules: [
			{
				test: /\.js$/,
				// exclude: /node_modules/,
				exclude: /node_modules\/(?!(dom7|swiper|ssr-window)\/).*/,
				use: {
					loader: "babel-loader",
					options: {
						presets: [
							[
								"@babel/preset-env",
								{
									useBuiltIns: "usage",
									targets: ["last 4 versions", "ie >= 11", "iOS >= 9"]
								}
							]
						]
					}
				}
			}
		]
	},
	externals: {
		ymaps: "ymaps"
	}
};
